commit: 80ad06020a3f76ef0e6b76cb6507351674632a52
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 11 11:22:01 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sun Jun 11 11:22:01 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80ad0602
sci-mathematics/octave: Adapt deps for texlive 2017, bug #621240
Package-Manager: Portage-2.3.6, Repoman-2.3.2
sci-mathematics/octave/octave-3.6.4-r1.ebuild | 2 +-
sci-mathematics/octave/octave-3.8.2-r3.ebuild | 2 +-
sci-mathematics/octave/octave-4.2.0-r4.ebuild | 2 +-
sci-mathematics/octave/octave-4.2.1.ebuild | 2 +-
4 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/sci-mathematics/octave/octave-3.6.4-r1.ebuild
b/sci-mathematics/octave/octave-3.6.4-r1.ebuild
index 0a66c65436c..191446ebdfc 100644
--- a/sci-mathematics/octave/octave-3.6.4-r1.ebuild
+++ b/sci-mathematics/octave/octave-3.6.4-r1.ebuild
@@ -58,7 +58,7 @@ RDEPEND="
DEPEND="${RDEPEND}
doc? (
virtual/latex-base
- dev-texlive/texlive-genericrecommended
+ || ( dev-texlive/texlive-plaingeneric
dev-texlive/texlive-genericrecommended )
sys-apps/texinfo )
dev-util/gperf
virtual/pkgconfig"
diff --git a/sci-mathematics/octave/octave-3.8.2-r3.ebuild
b/sci-mathematics/octave/octave-3.8.2-r3.ebuild
index 2269f831a09..9ae07cee479 100644
--- a/sci-mathematics/octave/octave-3.8.2-r3.ebuild
+++ b/sci-mathematics/octave/octave-3.8.2-r3.ebuild
@@ -64,7 +64,7 @@ DEPEND="${RDEPEND}
java? ( >=virtual/jdk-1.6.0 )
doc? (
virtual/latex-base
- dev-texlive/texlive-genericrecommended
+ || ( dev-texlive/texlive-plaingeneric
dev-texlive/texlive-genericrecommended )
dev-texlive/texlive-metapost
sys-apps/texinfo )
dev-util/gperf
diff --git a/sci-mathematics/octave/octave-4.2.0-r4.ebuild
b/sci-mathematics/octave/octave-4.2.0-r4.ebuild
index a52aea882a3..2bbb86439b6 100644
--- a/sci-mathematics/octave/octave-4.2.0-r4.ebuild
+++ b/sci-mathematics/octave/octave-4.2.0-r4.ebuild
@@ -76,7 +76,7 @@ DEPEND="${RDEPEND}
doc? (
virtual/latex-base
dev-texlive/texlive-fontsrecommended
- dev-texlive/texlive-genericrecommended
+ || ( dev-texlive/texlive-plaingeneric
dev-texlive/texlive-genericrecommended )
dev-texlive/texlive-metapost
)
sys-apps/texinfo
diff --git a/sci-mathematics/octave/octave-4.2.1.ebuild
b/sci-mathematics/octave/octave-4.2.1.ebuild
index 66548146eba..00a2d44ce48 100644
--- a/sci-mathematics/octave/octave-4.2.1.ebuild
+++ b/sci-mathematics/octave/octave-4.2.1.ebuild
@@ -76,7 +76,7 @@ DEPEND="${RDEPEND}
doc? (
virtual/latex-base
dev-texlive/texlive-fontsrecommended
- dev-texlive/texlive-genericrecommended
+ || ( dev-texlive/texlive-plaingeneric
dev-texlive/texlive-genericrecommended )
dev-texlive/texlive-metapost
)
sys-apps/texinfo